## NAME

r.external - Link GDAL supported raster file to a binary raster map layer.

## KEYWORDS

raster, import

## SYNOPSIS

r.external
r.external help
r.external [-oerf] [input=name] [source=string] [output=name] [band=integer] [title="phrase"] [--overwrite] [--verbose] [--quiet]

### Flags:

-o
  Override projection (use location's projection)
-e
  Extend region extents based on new dataset
  Also updates the default region if in the PERMANENT mapset
-r
  Require exact range
-f
  List supported formats and exit
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Raster file to be linked
source=string
  Name of non-file GDAL data source
output=name
  Name for output raster map
band=integer
  Band to select (default: all)
title="phrase"
  Title for resultant raster map

## DESCRIPTION

r.external allows a user to link a GDAL supported raster file to a binary raster map layer, from any GDAL supported raster map format, with an optional title. The file is not imported but just registered as GRASS raster map.

## NOTES

In essence, r.external creates a read-only link to the original dataset which is only valid if the original dataset remains at the originally indicated directory and filename.

## NULL data handling

GDAL-linked (r.external) maps do not have or use a NULL bitmap, hence r.null cannot manipulate them directly. Here NULL cells are those whose value matches the value reported by the GDALGetRasterNoDataValue() function. To apply the GDAL-linked the user need to either create a MASK (e.g. with r.mask) and then "apply" it using e.g. r.resample, or use r.mapcalc to create a copy with the appropriate categories changed to NULL (if() condition).

## EXAMPLES

### RGB Orthophoto from GeoTIFF

    # import of all channels (each channel will become a GRASS raster map):
    r.external  /home/user/data/maps/059100.tif out=ortho
    g.region rast=ortho.3 -p
    d.rgb r=ortho.1 g=ortho.2 b=ortho.3
    r.composite r=ortho.1 g=ortho.2 b=ortho.3 output=ortho.rgb

## SEE ALSO

r.in.gdal, v.external

## REFERENCES

GDAL Pages: http://www.gdal.org/

## AUTHOR

Glynn Clements

Last changed: $Date: 2013-12-20 18:52:08 +0100 (pá, 20 XII 2013) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team